diff -Naur krusader/iso/iso.cpp krusader-2.7.2/iso/iso.cpp
--- krusader/iso/iso.cpp	2019-09-21 16:34:35.000000000 +0200
+++ krusader-2.7.2/iso/iso.cpp	2019-09-25 20:47:21.179996000 +0200
@@ -134,34 +134,34 @@
         //qDebug()   << fullPath << "  trying " << tryPath << endl;
 
         QT_STATBUF statbuf;
-        if (QT_LSTAT(QFile::encodeName(tryPath), &statbuf) == 0 && !S_ISDIR(statbuf.st_mode)) {
-            bool isFile = true;
-            if (S_ISLNK(statbuf.st_mode)) {
-                char symDest[256];
-                memset(symDest, 0, 256);
-                int endOfName = readlink(QFile::encodeName(tryPath), symDest, 256);
-                if (endOfName != -1) {
-                    if (QDir(QString::fromLocal8Bit(symDest)).exists())
-                        isFile = false;
-                }
-            }
-
-            if (isFile) {
-                isoFile = tryPath;
-                m_mtime = statbuf.st_mtime;
-                m_mode = statbuf.st_mode;
-                path = fullPath.mid(pos + 1);
-                //qDebug()   << "fullPath=" << fullPath << " path=" << path << endl;
-                if(path.endsWith(DIR_SEPARATOR_CHAR)) {
-                    path.chop(1);
-                }
-                if(path.isEmpty()) {
-                    path = DIR_SEPARATOR_CHAR;
-                }
-                //qDebug()   << "Found. isoFile=" << isoFile << " path=" << path << endl;
-                break;
-            }
-        }
+//        if (QT_LSTAT(QFile::encodeName(tryPath), &statbuf) == 0 && !S_ISDIR(statbuf.st_mode)) {
+//            bool isFile = true;
+//            if (S_ISLNK(statbuf.st_mode)) {
+//                char symDest[256];
+//                memset(symDest, 0, 256);
+//                int endOfName = readlink(QFile::encodeName(tryPath), symDest, 256);
+//                if (endOfName != -1) {
+//                    if (QDir(QString::fromLocal8Bit(symDest)).exists())
+//                        isFile = false;
+//                }
+//            }
+//
+//            if (isFile) {
+//                isoFile = tryPath;
+//                m_mtime = statbuf.st_mtime;
+//                m_mode = statbuf.st_mode;
+//                path = fullPath.mid(pos + 1);
+//                //qDebug()   << "fullPath=" << fullPath << " path=" << path << endl;
+//                if(path.endsWith(DIR_SEPARATOR_CHAR)) {
+//                    path.chop(1);
+//                }
+//                if(path.isEmpty()) {
+//                    path = DIR_SEPARATOR_CHAR;
+//                }
+//                //qDebug()   << "Found. isoFile=" << isoFile << " path=" << path << endl;
+//                break;
+//            }
+//        }
     }
     if (isoFile.isEmpty()) {
         //qDebug()   << "kio_isoProtocol::checkNewFile: not found" << endl;
diff -Naur krusader/krArc/krarc.cpp krusader-2.7.2/krArc/krarc.cpp
--- krusader/krArc/krarc.cpp	2019-09-21 16:14:08.000000000 +0200
+++ krusader-2.7.2/krArc/krarc.cpp	2019-09-25 20:55:21.747558000 +0200
@@ -260,7 +260,7 @@
     for (int i = 0;i < tempDir.length() && i >= 0; i = tempDir.indexOf(DIR_SEPARATOR, i + 1)) {
         QByteArray newDirs = encodeString(tempDir.left(i));
         newDirs.prepend(arcTempDirEnc);
-        QT_MKDIR(newDirs, permissions);
+//        QT_MKDIR(newDirs, permissions);
     }
 
     if (tempDir.endsWith(DIR_SEPARATOR))
@@ -335,7 +335,7 @@
     for (int i = 0;i < tempDir.length() && i >= 0; i = tempDir.indexOf(DIR_SEPARATOR, i + 1)) {
         QByteArray newDirs = encodeString(tempDir.left(i));
         newDirs.prepend(arcTempDirEnc);
-        QT_MKDIR(newDirs, 0755);
+//        QT_MKDIR(newDirs, 0755);
     }
 
     int fd;
@@ -533,13 +533,13 @@
         // $Id: krarc.cpp,v 1.43 2007/01/13 13:39:51 ckarai Exp $
         QByteArray _path(QFile::encodeName(arcTempDir + file));
         QT_STATBUF buff;
-        if (QT_LSTAT(_path.data(), &buff) == -1) {
-            if (errno == EACCES)
-                error(KIO::ERR_ACCESS_DENIED, getPath(url));
-            else
-                error(KIO::ERR_DOES_NOT_EXIST, getPath(url));
-            return;
-        }
+//        if (QT_LSTAT(_path.data(), &buff) == -1) {
+//            if (errno == EACCES)
+//                error(KIO::ERR_ACCESS_DENIED, getPath(url));
+//            else
+//                error(KIO::ERR_DOES_NOT_EXIST, getPath(url));
+//            return;
+//        }
         if (S_ISDIR(buff.st_mode)) {
             error(KIO::ERR_IS_DIRECTORY, getPath(url));
             return;
@@ -922,7 +922,7 @@
             QFileInfo qfi(newPath.left(pos));
             if (qfi.exists() && !qfi.isDir()) {
                 QT_STATBUF stat_p;
-                QT_LSTAT(newPath.left(pos).toLocal8Bit(), &stat_p);
+//                QT_LSTAT(newPath.left(pos).toLocal8Bit(), &stat_p);
                 arcFile = new KFileItem(QUrl::fromLocalFile(newPath.left(pos)), QString(), stat_p.st_mode);
                 break;
             }
diff -Naur krusader/krusader/Archive/abstractthreadedjob.cpp krusader-2.7.2/krusader/Archive/abstractthreadedjob.cpp
--- krusader/krusader/Archive/abstractthreadedjob.cpp	2019-09-21 16:34:35.000000000 +0200
+++ krusader-2.7.2/krusader/Archive/abstractthreadedjob.cpp	2019-09-25 21:17:11.794779000 +0200
@@ -259,7 +259,7 @@
     ~AbstractJobObserver() override = default;
 
     void processEvents() Q_DECL_OVERRIDE {
-        usleep(1000);
+//        usleep(1000);
         qApp->processEvents();
     }
 
diff -Naur krusader/krusader/Archive/kr7zencryptionchecker.cpp krusader-2.7.2/krusader/Archive/kr7zencryptionchecker.cpp
--- krusader/krusader/Archive/kr7zencryptionchecker.cpp	2019-08-12 21:55:15.000000000 +0200
+++ krusader-2.7.2/krusader/Archive/kr7zencryptionchecker.cpp	2019-09-25 20:55:49.211915000 +0200
@@ -31,7 +31,7 @@
 {
     // This function is called after the fork but for the exec. We create a process group
     // to work around a broken wrapper script of 7z. Without this only the wrapper is killed.
-    setsid(); // make this process leader of a new process group
+//    setsid(); // make this process leader of a new process group
 }
 
 void Kr7zEncryptionChecker::receivedOutput()
@@ -52,7 +52,7 @@
 
         if (line.contains("password") && line.contains("enter")) {
             encrypted = true;
-            ::kill(- pid(), SIGKILL); // kill the whole process group by giving the negative PID
+//            ::kill(- pid(), SIGKILL); // kill the whole process group by giving the negative PID
         }
     }
 }
diff -Naur krusader/krusader/FileSystem/defaultfilesystem.cpp krusader-2.7.2/krusader/FileSystem/defaultfilesystem.cpp
--- krusader/krusader/FileSystem/defaultfilesystem.cpp	2019-09-21 16:14:08.000000000 +0200
+++ krusader-2.7.2/krusader/FileSystem/defaultfilesystem.cpp	2019-09-25 21:18:50.254709000 +0200
@@ -324,9 +324,9 @@
     const QString path = KrServices::urlToLocalPath(directory);
 
 #ifdef Q_OS_WIN
-    if (!path.contains("/")) { // change C: to C:/
-        path = path + QString("/");
-    }
+//    if (!path.contains("/")) { // change C: to C:/
+//        path = path + QString("/");
+//    }
 #endif
 
     // check if the new directory exists
@@ -345,36 +345,36 @@
     // Note: we are using low-level Qt functions here.
     // It's around twice as fast as using the QDir class.
 
-    QT_DIR* dir = QT_OPENDIR(path.toLocal8Bit());
-    if (!dir) {
-        emit error(i18n("Cannot open the folder %1.", path));
-        return false;
-    }
+//    QT_DIR* dir = QT_OPENDIR(path.toLocal8Bit());
+//    if (!dir) {
+//        emit error(i18n("Cannot open the folder %1.", path));
+//        return false;
+//    }
 
     // change directory to the new directory
     const QString savedDir = QDir::currentPath();
     if (!QDir::setCurrent(path)) {
         emit error(i18nc("%1=folder path", "Access to %1 denied", path));
-        QT_CLOSEDIR(dir);
+//        QT_CLOSEDIR(dir);
         return false;
     }
 
-    QT_DIRENT* dirEnt;
+//    QT_DIRENT* dirEnt;
     QString name;
     const bool showHidden = showHiddenFiles();
-    while ((dirEnt = QT_READDIR(dir)) != nullptr) {
-        name = QString::fromLocal8Bit(dirEnt->d_name);
-
-        // show hidden files?
-        if (!showHidden && name.left(1) == ".") continue;
-        // we don't need the "." and ".." entries
-        if (name == "." || name == "..") continue;
-
-        FileItem* temp = createLocalFileItem(name);
-        addFileItem(temp);
-    }
+//    while ((dirEnt = QT_READDIR(dir)) != nullptr) {
+//        name = QString::fromLocal8Bit(dirEnt->d_name);
+//
+//        // show hidden files?
+//        if (!showHidden && name.left(1) == ".") continue;
+//        // we don't need the "." and ".." entries
+//        if (name == "." || name == "..") continue;
+//
+//        FileItem* temp = createLocalFileItem(name);
+//        addFileItem(temp);
+//    }
     // clean up
-    QT_CLOSEDIR(dir);
+//    QT_CLOSEDIR(dir);
     QDir::setCurrent(savedDir);
 
     if (!onlyScan) {
diff -Naur krusader/krusader/FileSystem/fileitem.cpp krusader-2.7.2/krusader/FileSystem/fileitem.cpp
--- krusader/krusader/FileSystem/fileitem.cpp	2019-08-12 21:55:15.000000000 +0200
+++ krusader-2.7.2/krusader/FileSystem/fileitem.cpp	2019-09-25 21:05:33.137968000 +0200
@@ -32,6 +32,9 @@
 #include "filesystemprovider.h"
 #include "../compat.h"
 
+typedef int gid_t;
+typedef int uid_t;
+
 bool FileItem::userDefinedFolderIcons = true;
 
 // wrapper class; QCache needs objects
@@ -95,7 +98,7 @@
     return new FileItem(name, url, true,
                      0, 0700,
                      -1, -1, -1, -1,
-                     getuid(), getgid());
+                     1, 1);
 }
 
 FileItem *FileItem::createCopy(const FileItem &file, const QString &newName)
diff -Naur krusader/krusader/FileSystem/fileitem.h krusader-2.7.2/krusader/FileSystem/fileitem.h
--- krusader/krusader/FileSystem/fileitem.h	2019-08-12 21:55:15.000000000 +0200
+++ krusader-2.7.2/krusader/FileSystem/fileitem.h	2019-09-25 21:05:59.580014000 +0200
@@ -30,6 +30,9 @@
 #include <KIO/Global>
 #include <KIO/UDSEntry>
 
+typedef int gid_t;
+typedef int uid_t;
+
 /**
  * A file item gives access all meta information of a (virtual, dummy or real) file or directory in
  * the filesystem.
diff -Naur krusader/krusader/FileSystem/filesystem.cpp krusader-2.7.2/krusader/FileSystem/filesystem.cpp
--- krusader/krusader/FileSystem/filesystem.cpp	2019-08-12 21:55:15.000000000 +0200
+++ krusader-2.7.2/krusader/FileSystem/filesystem.cpp	2019-09-25 21:07:52.937970000 +0200
@@ -207,30 +207,30 @@
     // read file status; in case of error create a "broken" file item
     QT_STATBUF stat_p;
     memset(&stat_p, 0, sizeof(stat_p));
-    if (QT_LSTAT(pathByteArray.data(), &stat_p) < 0)
-        return FileItem::createBroken(fileItemName, fileItemUrl);
+//    if (QT_LSTAT(pathByteArray.data(), &stat_p) < 0)
+//        return FileItem::createBroken(fileItemName, fileItemUrl);
 
     const KIO::filesize_t size = stat_p.st_size;
     bool isDir = S_ISDIR(stat_p.st_mode);
-    const bool isLink = S_ISLNK(stat_p.st_mode);
+//    const bool isLink = S_ISLNK(stat_p.st_mode);
 
     // for links, read link destination and determine whether it's broken or not
     QString linkDestination;
     bool brokenLink = false;
-    if (isLink) {
-        linkDestination = readLinkSafely(pathByteArray.data());
-
-        if (linkDestination.isNull()) {
-            brokenLink = true;
-        }
-        else {
-            const QFileInfo linkFile(dir, linkDestination);
-            if (!linkFile.exists())
-                brokenLink = true;
-            else if (linkFile.isDir())
-                isDir = true;
-        }
-    }
+//    if (isLink) {
+//        linkDestination = readLinkSafely(pathByteArray.data());
+//
+//        if (linkDestination.isNull()) {
+//            brokenLink = true;
+//        }
+//        else {
+//            const QFileInfo linkFile(dir, linkDestination);
+//            if (!linkFile.exists())
+//                brokenLink = true;
+//            else if (linkFile.isDir())
+//                isDir = true;
+//        }
+//    }
 
     // TODO use statx available in glibc >= 2.28 supporting creation time (btime) and more
 
@@ -239,7 +239,7 @@
                         size, stat_p.st_mode,
                         stat_p.st_mtime, stat_p.st_ctime, stat_p.st_atime, -1,
                         stat_p.st_uid, stat_p.st_gid, QString(), QString(),
-                        isLink, linkDestination, brokenLink);
+                        true, linkDestination, brokenLink);
 }
 
 QString FileSystem::readLinkSafely(const char *path)
@@ -253,23 +253,23 @@
     while (true) {
         // try to read the link
         std::unique_ptr<char[]> buffer(new char[bufferSize]);
-        auto nBytesRead = readlink(path, buffer.get(), bufferSize);
+//        auto nBytesRead = readlink(path, buffer.get(), bufferSize);
 
         // should never happen, asserted by the readlink
-        if (nBytesRead > bufferSize) {
-            return QString();
-        }
+//        if (nBytesRead > bufferSize) {
+//            return QString();
+//        }
 
         // read failure
-        if (nBytesRead < 0) {
-            qDebug() << "Failed to read the link " << path;
-            return QString();
-        }
+//        if (nBytesRead < 0) {
+//            qDebug() << "Failed to read the link " << path;
+//            return QString();
+//        }
 
         // read success
-        if (nBytesRead < bufferSize || nBytesRead == maxBufferSize) {
-            return QString::fromLocal8Bit(buffer.get(), nBytesRead);
-        }
+//        if (nBytesRead < bufferSize || nBytesRead == maxBufferSize) {
+//            return QString::fromLocal8Bit(buffer.get(), nBytesRead);
+//        }
 
         // increase the buffer and retry again
         // bufferSize < maxBufferSize is implied from previous checks
diff -Naur krusader/krusader/FileSystem/krpermhandler.cpp krusader-2.7.2/krusader/FileSystem/krpermhandler.cpp
--- krusader/krusader/FileSystem/krpermhandler.cpp	2019-09-21 16:14:08.000000000 +0200
+++ krusader-2.7.2/krusader/FileSystem/krpermhandler.cpp	2019-09-25 21:20:47.176915000 +0200
@@ -24,10 +24,13 @@
 // QtCore
 #include <QLocale>
 
-#include <grp.h>
-#include <pwd.h>
+//#include <grp.h>
+//#include <pwd.h>
 #include <sys/stat.h>
 
+typedef int gid_t;
+typedef int uid_t;
+
 QSet<int> KRpermHandler::currentGroups;
 QHash<int, QString> KRpermHandler::uidCache;
 QHash<int, QString> KRpermHandler::gidCache;
@@ -39,8 +42,8 @@
         perm[ i ] = '-';
     perm[ 10 ] = 0;
 
-    if (S_ISLNK(m)) perm[ 0 ] = 'l';      // check for symLink
-    if (S_ISDIR(m)) perm[ 0 ] = 'd';      // check for directory
+//    if (S_ISLNK(m)) perm[ 0 ] = 'l';      // check for symLink
+//    if (S_ISDIR(m)) perm[ 0 ] = 'd';      // check for directory
 
     //ReadUser = 0400, WriteUser = 0200, ExeUser = 0100, Suid = 04000
     if (m & 0400) perm[ 1 ] = 'r';
@@ -68,7 +71,7 @@
 
     // 200 groups should be enough
     gid_t groupList[200];
-    int groupNo = getgroups(200, groupList);
+//    int groupNo = getgroups(200, groupList);
 
 // In kdewin32 implementation as of 4.1.2, getpwent always returns the same struct
 #ifndef Q_OS_WIN
@@ -90,11 +93,11 @@
 #endif
 
     // fill the groups for the current user
-    for (int i = 0; i < groupNo; ++i) {
-        currentGroups.insert(groupList[i]);
-    }
+//    for (int i = 0; i < groupNo; ++i) {
+//        currentGroups.insert(groupList[i]);
+//    }
     // just to be sure add the effective gid...
-    currentGroups.insert(getegid());
+//    currentGroups.insert(getegid());
 }
 
 char KRpermHandler::readable(const QString &perm, gid_t gid, uid_t uid)
@@ -116,8 +119,8 @@
                                        bool ignoreRoot)
 {
     // root override
-    if (!ignoreRoot && getuid() == 0)
-        return ALLOWED_PERM;
+//    if (!ignoreRoot && getuid() == 0)
+//        return ALLOWED_PERM;
     // first check other permissions.
     if (perm[7 + permOffset] != '-')
         return ALLOWED_PERM;
@@ -125,8 +128,8 @@
     if ((perm[4 + permOffset] != '-') && currentGroups.contains(gid))
         return ALLOWED_PERM;
     // the last chance - user permissions
-    if ((perm[1 + permOffset] != '-') && (uid == getuid()))
-        return ALLOWED_PERM;
+//    if ((perm[1 + permOffset] != '-') && (uid == getuid()))
+//        return ALLOWED_PERM;
     // sorry !
     return NO_PERM;
 }
diff -Naur krusader/krusader/FileSystem/krpermhandler.h krusader-2.7.2/krusader/FileSystem/krpermhandler.h
--- krusader/krusader/FileSystem/krpermhandler.h	2019-08-12 21:55:15.000000000 +0200
+++ krusader-2.7.2/krusader/FileSystem/krpermhandler.h	2019-09-25 21:09:16.203473000 +0200
@@ -38,6 +38,9 @@
 #define UNKNOWN_PERM 1
 #define ALLOWED_PERM 2
 
+typedef int gid_t;
+typedef int uid_t;
+
 class KRpermHandler
 {
 public:
diff -Naur krusader/krusader/GUI/terminaldock.cpp krusader-2.7.2/krusader/GUI/terminaldock.cpp
--- krusader/krusader/GUI/terminaldock.cpp	2019-09-21 16:34:35.000000000 +0200
+++ krusader-2.7.2/krusader/GUI/terminaldock.cpp	2019-09-25 21:13:11.078199000 +0200
@@ -138,7 +138,7 @@
         const int processId = t->terminalProcessId();
         // workaround (firstInput): kill is sent to terminal if shell is not initialized yet
         if (processId > 0 && !firstInput) {
-            kill(processId, SIGINT);
+//            kill(processId, SIGINT);
         }
     }
     firstInput = false;
diff -Naur krusader/krusader/MountMan/kmountman.cpp krusader-2.7.2/krusader/MountMan/kmountman.cpp
--- krusader/krusader/MountMan/kmountman.cpp	2019-08-12 21:55:15.000000000 +0200
+++ krusader-2.7.2/krusader/MountMan/kmountman.cpp	2019-09-25 21:26:33.794637000 +0200
@@ -170,16 +170,16 @@
 
         // KDE4 doesn't allow mounting devices as user, because they think it's the right behaviour.
         // I add this patch, as I don't think so.
-        if (geteuid()) { // tries to mount as an user?
-            KProcess proc;
-            proc << KrServices::fullPathName("mount") << mntPoint;
-            proc.start();
-            if (!blocking)
-                return;
-            proc.waitForFinished(-1); // -1 msec blocks without timeout
-            if (proc.exitStatus() == QProcess::NormalExit && proc.exitCode() == 0)
-                return;
-        }
+//        if (geteuid()) { // tries to mount as an user?
+//            KProcess proc;
+//            proc << KrServices::fullPathName("mount") << mntPoint;
+//            proc.start();
+//            if (!blocking)
+//                return;
+//            proc.waitForFinished(-1); // -1 msec blocks without timeout
+//            if (proc.exitStatus() == QProcess::NormalExit && proc.exitCode() == 0)
+//                return;
+//        }
 
         KIO::SimpleJob *job = KIO::mount(false, m->mountType().toLocal8Bit(), m->mountedFrom(), m->mountPoint(), KIO::DefaultFlags);
         job->setUiDelegate(new KIO::JobUiDelegate());
@@ -212,16 +212,16 @@
 
         // KDE4 doesn't allow unmounting devices as user, because they think it's the right behaviour.
         // I add this patch, as I don't think so.
-        if (geteuid()) { // tries to mount as an user?
-            KProcess proc;
-            proc << KrServices::fullPathName("umount") << mntPoint;
-            proc.start();
-            if (!blocking)
-                return;
-            proc.waitForFinished(-1); // -1 msec blocks without timeout
-            if (proc.exitStatus() == QProcess::NormalExit && proc.exitCode() == 0)
-                return;
-        }
+//        if (geteuid()) { // tries to mount as an user?
+//            KProcess proc;
+//            proc << KrServices::fullPathName("umount") << mntPoint;
+//            proc.start();
+//            if (!blocking)
+//                return;
+//            proc.waitForFinished(-1); // -1 msec blocks without timeout
+//            if (proc.exitStatus() == QProcess::NormalExit && proc.exitCode() == 0)
+//                return;
+//        }
 
         KIO::SimpleJob *job = KIO::unmount(mntPoint, KIO::DefaultFlags);
         job->setUiDelegate(new KIO::JobUiDelegate());
diff -Naur krusader/krusader/Panel/PanelView/krview.cpp krusader-2.7.2/krusader/Panel/PanelView/krview.cpp
--- krusader/krusader/Panel/PanelView/krview.cpp	2019-09-15 22:27:22.000000000 +0200
+++ krusader-2.7.2/krusader/Panel/PanelView/krview.cpp	2019-09-25 21:37:42.670282000 +0200
@@ -999,10 +999,11 @@
 
 QString KrView::permissionsText(const KrViewProperties *properties, const FileItem *fileItem)
 {
-    return properties->numericPermissions ?
-               QString().asprintf("%.4o", fileItem->getMode() & (S_ISUID | S_ISGID | S_ISVTX |
-                                                                 S_IRWXU | S_IRWXG | S_IRWXO)) :
-               fileItem->getPerm();
+    return QString();
+//    return properties->numericPermissions ?
+//               QString().asprintf("%.4o", fileItem->getMode() & (S_ISUID | S_ISGID | S_ISVTX |
+//                                                                 S_IRWXU | S_IRWXG | S_IRWXO)) :
+//               fileItem->getPerm();
 }
 
 QString KrView::sizeText(const KrViewProperties *properties, KIO::filesize_t size)
diff -Naur krusader/krusader/Panel/panelfunc.cpp krusader-2.7.2/krusader/Panel/panelfunc.cpp
--- krusader/krusader/Panel/panelfunc.cpp	2019-08-12 21:55:15.000000000 +0200
+++ krusader-2.7.2/krusader/Panel/panelfunc.cpp	2019-09-25 21:46:54.481762000 +0200
@@ -388,10 +388,10 @@
         return;
     }
     // try to create a new symlink
-    if (symlink(newLink.toLocal8Bit(), file.toLocal8Bit()) == -1) {
-        KMessageBox:: /* --=={ Patch by Heiner <h.eichmann@gmx.de> }==-- */sorry(krMainWindow, i18n("Failed to create a new link: %1", file));
-        return;
-    }
+//    if (symlink(newLink.toLocal8Bit(), file.toLocal8Bit()) == -1) {
+//        KMessageBox:: /* --=={ Patch by Heiner <h.eichmann@gmx.de> }==-- */sorry(krMainWindow, i18n("Failed to create a new link: %1", file));
+//        return;
+//    }
 }
 
 void ListPanelFunc::krlink(bool sym)
@@ -424,15 +424,15 @@
         linkName = files()->currentDirectory().path() + '/' + linkName;
     name = files()->getUrl(name).path();
 
-    if (sym) {
-        if (symlink(name.toLocal8Bit(), linkName.toLocal8Bit()) == -1)
-            KMessageBox::sorry(krMainWindow,
-                               i18n("Failed to create a new symlink '%1' to: '%2'", linkName, name));
-    } else {
-        if (link(name.toLocal8Bit(), linkName.toLocal8Bit()) == -1)
-            KMessageBox::sorry(krMainWindow,
-                               i18n("Failed to create a new link '%1' to '%2'", linkName, name));
-    }
+//    if (sym) {
+//        if (symlink(name.toLocal8Bit(), linkName.toLocal8Bit()) == -1)
+//            KMessageBox::sorry(krMainWindow,
+//                               i18n("Failed to create a new symlink '%1' to: '%2'", linkName, name));
+//    } else {
+//        if (link(name.toLocal8Bit(), linkName.toLocal8Bit()) == -1)
+//            KMessageBox::sorry(krMainWindow,
+//                               i18n("Failed to create a new link '%1' to '%2'", linkName, name));
+//    }
 }
 
 void ListPanelFunc::view()
diff -Naur krusader/krusader/Synchronizer/synchronizer.cpp krusader-2.7.2/krusader/Synchronizer/synchronizer.cpp
--- krusader/krusader/Synchronizer/synchronizer.cpp	2019-09-21 16:34:35.000000000 +0200
+++ krusader-2.7.2/krusader/Synchronizer/synchronizer.cpp	2019-09-25 22:03:49.252537000 +0200
@@ -1028,21 +1028,21 @@
 
                     auto newOwnerID = (uid_t) - 1; // chown(2) : -1 means no change
                     if (!item->rightOwner().isEmpty()) {
-                        struct passwd* pw = getpwnam(QFile::encodeName(item->rightOwner()));
-                        if (pw != nullptr)
-                            newOwnerID = pw->pw_uid;
+//                        struct passwd* pw = getpwnam(QFile::encodeName(item->rightOwner()));
+//                        if (pw != nullptr)
+//                            newOwnerID = pw->pw_uid;
                     }
                     auto newGroupID = (gid_t) - 1; // chown(2) : -1 means no change
                     if (!item->rightGroup().isEmpty()) {
-                        struct group* g = getgrnam(QFile::encodeName(item->rightGroup()));
-                        if (g != nullptr)
-                            newGroupID = g->gr_gid;
-                    }
-                    int status1 = chown((const char *)(leftURL.adjusted(QUrl::StripTrailingSlash).path().toLocal8Bit()), newOwnerID, (gid_t) - 1);
-                    int status2 = chown((const char *)(leftURL.adjusted(QUrl::StripTrailingSlash).path().toLocal8Bit()), (uid_t) - 1, newGroupID);
-                    if (status1 < 0 || status2 < 0) {
-                        // synchronizer currently ignores chown errors
+//                        struct group* g = getgrnam(QFile::encodeName(item->rightGroup()));
+//                        if (g != nullptr)
+//                            newGroupID = g->gr_gid;
                     }
+//                    int status1 = chown((const char *)(leftURL.adjusted(QUrl::StripTrailingSlash).path().toLocal8Bit()), newOwnerID, (gid_t) - 1);
+//                    int status2 = chown((const char *)(leftURL.adjusted(QUrl::StripTrailingSlash).path().toLocal8Bit()), (uid_t) - 1, newGroupID);
+//                    if (status1 < 0 || status2 < 0) {
+//                        // synchronizer currently ignores chown errors
+//                    }
 
                     chmod((const char *)(leftURL.adjusted(QUrl::StripTrailingSlash).path().toLocal8Bit()), item->rightMode() & 07777);
 
@@ -1068,21 +1068,21 @@
 
                     auto newOwnerID = (uid_t) - 1; // chown(2) : -1 means no change
                     if (!item->leftOwner().isEmpty()) {
-                        struct passwd* pw = getpwnam(QFile::encodeName(item->leftOwner()));
-                        if (pw != nullptr)
-                            newOwnerID = pw->pw_uid;
+//                        struct passwd* pw = getpwnam(QFile::encodeName(item->leftOwner()));
+//                        if (pw != nullptr)
+//                            newOwnerID = pw->pw_uid;
                     }
                     auto newGroupID = (gid_t) - 1; // chown(2) : -1 means no change
                     if (!item->leftGroup().isEmpty()) {
-                        struct group* g = getgrnam(QFile::encodeName(item->leftGroup()));
-                        if (g != nullptr)
-                            newGroupID = g->gr_gid;
-                    }
-                    int status1 = chown((const char *)(rightURL.adjusted(QUrl::StripTrailingSlash).path().toLocal8Bit()), newOwnerID, (uid_t) - 1);
-                    int status2 = chown((const char *)(rightURL.adjusted(QUrl::StripTrailingSlash).path().toLocal8Bit()), (uid_t) - 1, newGroupID);
-                    if (status1 < 0 || status2 < 0) {
-                        // synchronizer currently ignores chown errors
+//                        struct group* g = getgrnam(QFile::encodeName(item->leftGroup()));
+//                        if (g != nullptr)
+//                            newGroupID = g->gr_gid;
                     }
+//                    int status1 = chown((const char *)(rightURL.adjusted(QUrl::StripTrailingSlash).path().toLocal8Bit()), newOwnerID, (uid_t) - 1);
+//                    int status2 = chown((const char *)(rightURL.adjusted(QUrl::StripTrailingSlash).path().toLocal8Bit()), (uid_t) - 1, newGroupID);
+//                    if (status1 < 0 || status2 < 0) {
+//                        // synchronizer currently ignores chown errors
+//                    }
 
                     chmod((const char *)(rightURL.adjusted(QUrl::StripTrailingSlash).path().toLocal8Bit()), item->leftMode() & 07777);
 
@@ -1402,8 +1402,8 @@
 
                 canExit = (t.elapsed() > 100);
 
-                if (progDlg->isPaused() || !canExit)
-                    usleep(10000);
+//                if (progDlg->isPaused() || !canExit)
+//                    usleep(10000);
 
             } while (progDlg->isPaused() || !canExit);
 
diff -Naur krusader/krusader/Synchronizer/synchronizerdirlist.cpp krusader-2.7.2/krusader/Synchronizer/synchronizerdirlist.cpp
--- krusader/krusader/Synchronizer/synchronizerdirlist.cpp	2019-08-12 21:55:15.000000000 +0200
+++ krusader-2.7.2/krusader/Synchronizer/synchronizerdirlist.cpp	2019-09-25 22:13:04.645274000 +0200
@@ -119,27 +119,27 @@
     if (url.isLocalFile()) {
         const QString dir = FileSystem::ensureTrailingSlash(url).path();
 
-        QT_DIR* qdir = QT_OPENDIR(dir.toLocal8Bit());
-        if (!qdir)  {
-            KMessageBox::error(parentWidget, i18n("Cannot open the folder %1.", dir), i18n("Error"));
-            emit finished(result = false);
-            return false;
-        }
+//        QT_DIR* qdir = QT_OPENDIR(dir.toLocal8Bit());
+//        if (!qdir)  {
+//            KMessageBox::error(parentWidget, i18n("Cannot open the folder %1.", dir), i18n("Error"));
+//            emit finished(result = false);
+//            return false;
+//        }
+
+//        QT_DIRENT* dirEnt;
+
+//        while ((dirEnt = QT_READDIR(qdir)) != nullptr) {
+//            const QString name = QString::fromLocal8Bit(dirEnt->d_name);
+//
+//            if (name == "." || name == "..") continue;
+//            if (ignoreHidden && name.startsWith('.')) continue;
+//
+//            FileItem *item = FileSystem::createLocalFileItem(name, dir);
+//
+//            insert(name, item);
+//        }
 
-        QT_DIRENT* dirEnt;
-
-        while ((dirEnt = QT_READDIR(qdir)) != nullptr) {
-            const QString name = QString::fromLocal8Bit(dirEnt->d_name);
-
-            if (name == "." || name == "..") continue;
-            if (ignoreHidden && name.startsWith('.')) continue;
-
-            FileItem *item = FileSystem::createLocalFileItem(name, dir);
-
-            insert(name, item);
-        }
-
-        QT_CLOSEDIR(qdir);
+//        QT_CLOSEDIR(qdir);
         emit finished(result = true);
         return true;
     } else {
diff -Naur krusader/krusader/krusader.cpp krusader-2.7.2/krusader/krusader.cpp
--- krusader/krusader/krusader.cpp	2019-09-21 16:34:35.000000000 +0200
+++ krusader-2.7.2/krusader/krusader.cpp	2019-09-25 22:45:52.958179000 +0200
@@ -551,10 +551,10 @@
 }
 
 const char* Krusader::appIconName() {
-    if (geteuid())
+//    if (geteuid())
         return "krusader_user";
-    else
-        return "krusader_root";
+//    else
+//        return "krusader_root";
 }
 
 void Krusader::quit()
diff -Naur krusader/krusader/main.cpp krusader-2.7.2/krusader/main.cpp
--- krusader/krusader/main.cpp	2019-08-12 21:55:15.000000000 +0200
+++ krusader-2.7.2/krusader/main.cpp	2019-09-25 22:47:00.202454000 +0200
@@ -116,7 +116,7 @@
 #endif
 
     KAboutData aboutData(QStringLiteral("krusader"),
-        (geteuid() ? i18n("Krusader") : i18n("Krusader - ROOT PRIVILEGES")), versionName,
+        i18n("Krusader"), versionName,
         i18n(description), KAboutLicense::GPL_V2,
         i18n("© 2000-2003 Shie Erlich, Rafi Yanai\n© 2004-2019 Krusader Krew"),
         i18n("Feedback:\nhttps://forum.kde.org/viewforum.php?f=225\n\nIRC\nserver: "
@@ -302,8 +302,8 @@
 
     // catching SIGTERM, SIGHUP, SIGQUIT
     signal(SIGTERM, sigterm_handler);
-    signal(SIGPIPE, sigterm_handler);
-    signal(SIGHUP, sigterm_handler);
+//    signal(SIGPIPE, sigterm_handler);
+//    signal(SIGHUP, sigterm_handler);
 
     QObject::connect(&app, &QGuiApplication::applicationStateChanged, SLOTS, &KRslots::applicationStateChanged);
 
